package cc.smtweb.system.bpm.web.engine.flow;

import cc.smtweb.framework.core.common.R;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.exception.BizException;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.system.bpm.web.design.form.ModelForm;
import cc.smtweb.system.bpm.web.design.form.ModelFormHelper;
import cc.smtweb.system.bpm.web.engine.dynPage.AbstractDynPageHandler;

/**
 * Created by Akmm at 2022/4/21 17:53
 * 保存指定数据集操作
 * 入参：{pageId, data:}
 */
public class AbstractFlowHandler extends AbstractDynPageHandler {
    @Override
    public void init(SwMap params, UserSession us) {
        super.init(params, us);
        ModelForm form = ModelFormHelper.getFromCache(pageId);
        if (form.getBillType() <= 0L) throw new BizException("此页面非单据页面，不能使用流程服务！");
    }
}
